I just made a final 3.7.0 release. This release requires Python 2.4. I included Windows binaries.

While I did delay the release, I never did get around to chasing the Python 2.5 failures and hangs. :( Obviously, I'll try to figure this out at some point. If anyone else wants to try, feel free. :)

Jim


On Feb 28, 2007, at 6:59 PM, Jim Fulton wrote:


On Feb 28, 2007, at 4:21 PM, Jim Fulton wrote:


I've released release candidate 1 of ZODB 3.7 to PyPI:

  http://www.python.org/pypi/ZODB3/3.7.0c1

I've uploaded a Windows binary for 2.4.

If there are no objections, I'll make the final release in a few days.

I just tried running the tests under Python 2.5 and and some of the ZEO tests hang or fail. :(

I'm not sure I'll hold up the release. I may just declare that ZODB 3.7 only works with Python 2.4.

I can't spend much time debugging this, although I'll spend some time.

I can't stand the ZEO tests.

Jim

--
Jim Fulton                      mailto:[EMAIL PROTECTED]                Python 
Powered!
CTO                             (540) 361-1714                  
http://www.python.org
Zope Corporation        http://www.zope.com             http://www.zope.org




--
Jim Fulton                      mailto:[EMAIL PROTECTED]                Python 
Powered!
CTO                             (540) 361-1714                  
http://www.python.org
Zope Corporation        http://www.zope.com             http://www.zope.org



_______________________________________________
For more information about ZODB, see the ZODB Wiki:
http://www.zope.org/Wikis/ZODB/

ZODB-Dev mailing list  -  ZODB-Dev@zope.org
http://mail.zope.org/mailman/listinfo/zodb-dev

Reply via email to